Address Transactions
Filters
Pagination
Description of fields
Field
Type
Description
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
idstringRequiredExample:
Address ID
bd0b179d-6ae3-4516-bd85-243a82b2a87atypestring · enumOptionalExample:
Transaction type
depositPossible values: limitintegerOptional
Number of elements per page
offsetintegerOptional
Number of items to skip
Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/addresses/transactions
POST /api-gateway/addresses/transactions HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 106
{
"id": "bd0b179d-6ae3-4516-bd85-243a82b2a87a",
"type": "deposit",
"status": [
"processed"
],
"limit": 1,
"offset": 1
}200Success
{
"success": true,
"response": {
"count": 1,
"transactions": [
{
"id": "d37bf997-3c78-4400-97eb-8951ad47ab20",
"status": "processed",
"type": "deposit",
"currency": "USDT",
"network": "ethereum",
"addressFrom": "0x1AFfB0a96FBefAa97dCe488DfD97512346cf3Ab8",
"addressTo": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
"amount": "12.99",
"tx": "0x2a6113054f5b4fbcdbb5fa128815bf07ce355021165b13c616545438a0fda3ca",
"feeCurrency": null,
"feeAmount": null,
"feeAmountUSD": null,
"withdrawalId": null,
"orphanDepositId": null,
"createdAt": "2026-01-29T11:14:13.648Z"
}
]
}
}Last updated